<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::create('product_colors', function (Blueprint $table) {
            $table->id();
            $table->string('name', 100);
            $table->string('code', 20);
            $table->boolean('status')->default(true);
            $table->timestamps();

            $table->unique('name');
            $table->unique('code');
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('product_colors');
    }
};
